# Uses of Class
org.apache.lucene.index.SegmentInfo

Packages that use SegmentInfo
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.codecs.lucene90.compressing
Lucene 9.0 compressing format.
org.apache.lucene.codecs.lucene94
Lucene 9.4 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.index
Code to maintain and access indices.

## Uses of SegmentInfo in org.apache.lucene.codecs

Methods in org.apache.lucene.codecs that return SegmentInfo
Modifier and Type
Method
Description
`abstract SegmentInfo`
SegmentInfoFormat.`read(Directory directory, String segmentName, byte[] segmentID, IOContext context)`
Read `SegmentInfo` data from a directory.
Methods in org.apache.lucene.codecs with parameters of type SegmentInfo
Modifier and Type
Method
Description
`abstract StoredFieldsReader`
StoredFieldsFormat.`fieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context)`
Returns a `StoredFieldsReader` to load stored fields.
`abstract StoredFieldsWriter`
StoredFieldsFormat.`fieldsWriter(Directory directory, SegmentInfo si, IOContext context)`
Returns a `StoredFieldsWriter` to write stored fields.
`abstract CompoundDirectory`
CompoundFormat.`getCompoundReader(Directory dir, SegmentInfo si, IOContext context)`
Returns a Directory view (read-only) for the compound files in this segment
`abstract FieldInfos`
FieldInfosFormat.`read(Directory directory, SegmentInfo segmentInfo, String segmentSuffix, IOContext iocontext)`
Read the `FieldInfos` previously written with `FieldInfosFormat.write(org.apache.lucene.store.Directory, org.apache.lucene.index.SegmentInfo, java.lang.String, org.apache.lucene.index.FieldInfos, org.apache.lucene.store.IOContext)`.
`abstract TermVectorsReader`
TermVectorsFormat.`vectorsReader(Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, IOContext context)`
Returns a `TermVectorsReader` to read term vectors.
`abstract TermVectorsWriter`
TermVectorsFormat.`vectorsWriter(Directory directory, SegmentInfo segmentInfo, IOContext context)`
Returns a `TermVectorsWriter` to write term vectors.
`abstract void`
CompoundFormat.`write(Directory dir, SegmentInfo si, IOContext context)`
Packs the provided segment's files into a compound format.
`abstract void`
FieldInfosFormat.`write(Directory directory, SegmentInfo segmentInfo, String segmentSuffix, FieldInfos infos, IOContext context)`
Writes the provided `FieldInfos` to the directory.
`abstract void`
SegmentInfoFormat.`write(Directory dir, SegmentInfo info, IOContext ioContext)`
Write `SegmentInfo` data.

## Uses of SegmentInfo in org.apache.lucene.codecs.lucene90

Methods in org.apache.lucene.codecs.lucene90 with parameters of type SegmentInfo
Modifier and Type
Method
Description
`StoredFieldsReader`
Lucene90StoredFieldsFormat.`fieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context)`
`StoredFieldsWriter`
Lucene90StoredFieldsFormat.`fieldsWriter(Directory directory, SegmentInfo si, IOContext context)`
`CompoundDirectory`
Lucene90CompoundFormat.`getCompoundReader(Directory dir, SegmentInfo si, IOContext context)`
`void`
Lucene90CompoundFormat.`write(Directory dir, SegmentInfo si, IOContext context)`

## Uses of SegmentInfo in org.apache.lucene.codecs.lucene90.compressing

Methods in org.apache.lucene.codecs.lucene90.compressing with parameters of type SegmentInfo
Modifier and Type
Method
Description
`StoredFieldsReader`
Lucene90CompressingStoredFieldsFormat.`fieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context)`
`StoredFieldsWriter`
Lucene90CompressingStoredFieldsFormat.`fieldsWriter(Directory directory, SegmentInfo si, IOContext context)`
`final TermVectorsReader`
Lucene90CompressingTermVectorsFormat.`vectorsReader(Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, IOContext context)`
`final TermVectorsWriter`
Lucene90CompressingTermVectorsFormat.`vectorsWriter(Directory directory, SegmentInfo segmentInfo, IOContext context)`
Constructors in org.apache.lucene.codecs.lucene90.compressing with parameters of type SegmentInfo
Modifier
Constructor
Description
``
`Lucene90CompressingStoredFieldsReader(Directory d, SegmentInfo si, String segmentSuffix, FieldInfos fn, IOContext context, String formatName, CompressionMode compressionMode)`
Sole constructor.
``
`Lucene90CompressingTermVectorsReader(Directory d, SegmentInfo si, String segmentSuffix, FieldInfos fn, IOContext context, String formatName, CompressionMode compressionMode)`
Sole constructor.

## Uses of SegmentInfo in org.apache.lucene.codecs.lucene94

Methods in org.apache.lucene.codecs.lucene94 with parameters of type SegmentInfo
Modifier and Type
Method
Description
`FieldInfos`
Lucene94FieldInfosFormat.`read(Directory directory, SegmentInfo segmentInfo, String segmentSuffix, IOContext context)`
`void`
Lucene94FieldInfosFormat.`write(Directory directory, SegmentInfo segmentInfo, String segmentSuffix, FieldInfos infos, IOContext context)`

## Uses of SegmentInfo in org.apache.lucene.codecs.lucene99

Methods in org.apache.lucene.codecs.lucene99 that return SegmentInfo
Modifier and Type
Method
Description
`SegmentInfo`
Lucene99SegmentInfoFormat.`read(Directory dir, String segment, byte[] segmentID, IOContext context)`
Methods in org.apache.lucene.codecs.lucene99 with parameters of type SegmentInfo
Modifier and Type
Method
Description
`void`
Lucene99SegmentInfoFormat.`write(Directory dir, SegmentInfo si, IOContext ioContext)`

## Uses of SegmentInfo in org.apache.lucene.index

Fields in org.apache.lucene.index declared as SegmentInfo
Modifier and Type
Field
Description
`final SegmentInfo`
SegmentCommitInfo.`info`
The `SegmentInfo` that we wrap.
`final SegmentInfo`
MergeState.`segmentInfo`
`SegmentInfo` of the newly merged segment.
`final SegmentInfo`
SegmentReadState.`segmentInfo`
`SegmentInfo` describing this segment.
`final SegmentInfo`
SegmentWriteState.`segmentInfo`
`SegmentInfo` describing this segment.
Constructors in org.apache.lucene.index with parameters of type SegmentInfo
Modifier
Constructor
Description
``
`MergeState(MergeState.DocMap[] docMaps, SegmentInfo segmentInfo, FieldInfos mergeFieldInfos, StoredFieldsReader[] storedFieldsReaders, TermVectorsReader[] termVectorsReaders, NormsProducer[] normsProducers, DocValuesProducer[] docValuesProducers, FieldInfos[] fieldInfos, Bits[] liveDocs, FieldsProducer[] fieldsProducers, PointsReader[] pointsReaders, KnnVectorsReader[] knnVectorsReaders, int[] maxDocs, InfoStream infoStream, Executor intraMergeTaskExecutor, boolean needsIndexSort)`
Create a new merge instance.
``
`SegmentCommitInfo(SegmentInfo info, int delCount, int softDelCount, long delGen, long fieldInfosGen, long docValuesGen, byte[] id)`
Sole constructor.
``
`SegmentReadState(Directory dir, SegmentInfo info, FieldInfos fieldInfos, IOContext context)`
Create a `SegmentReadState`.
``
`SegmentReadState(Directory dir, SegmentInfo info, FieldInfos fieldInfos, IOContext context, String segmentSuffix)`
Create a `SegmentReadState`.
``
`SegmentWriteState(InfoStream infoStream, Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, org.apache.lucene.index.BufferedUpdates segUpdates, IOContext context)`
Sole constructor.
``
`SegmentWriteState(InfoStream infoStream, Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, org.apache.lucene.index.BufferedUpdates segUpdates, IOContext context, String segmentSuffix)`
Constructor which takes segment suffix.